#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1
%define framework kactivities

Summary:        KDE Frameworks 5 Tier 3 library to organize the user work in separate activity
Name:           %framework
Epoch:          1
Version: 5.114.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  boost-devel

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version

Requires:       %{_lib}qt5-database-plugin-sqlite

%rename     kactivities-framework

%description
A KDE Frameworks 5 Tier 3 API for using and interacting with Activities as a
consumer, application adding information to them or as an activity manager.

%files
%_kf5_categoriesdir/kactivities.*categories
%_kf5_bindir/kactivities-cli
%_kf5_qmldir/org/kde/activities

#--------------------------------------------------------------------

%define kf5activities_major 5
%define libkf5activities %mklibname kf5activities %{kf5activities_major}

%package -n %libkf5activities
Summary:        KDE Frameworks 5 Tier 3 runtime and library to organize the user work in separate activity
Group:          System/Libraries
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description -n %libkf5activities
A KDE Frameworks 5 Tier 3 API for using and interacting with Activities as a
consumer, application adding information to them or as an activity manager.

%files -n %libkf5activities
%_kf5_libdir/libKF5Activities.so.%{kf5activities_major}{,.*}

#--------------------------------------------------------------------

%define kf5activities_devel %mklibname kf5activities -d

%package -n %kf5activities_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5activities = %epoch:%version-%release
Requires:       %name = %epoch:%version-%release
Provides:       %name-devel = %epoch:%{version}-%{release}

%rename         %{_lib}kf5activities-framework-devel

%description -n %kf5activities_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5activities_devel
%_kf5_includedir/KActivities/
%_kf5_libdir/cmake/KF5Activities/
%_kf5_libdir/libKF5Activities.so
%_kf5_libdir/pkgconfig/libKActivities.pc
%_kf5_mkspecsdir/qt_KActivities.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install


%changelog
* Thu Feb 08 2024 neoclust <neoclust> 1:5.114.0-1.mga9
+ Revision: 2039516
- New version 5.114.0

* Thu May 18 2023 daviddavid <daviddavid> 1:5.105.0-2.mga9
+ Revision: 1957177
- rebuild to fix libdir path in pkgconfig file

* Mon Apr 10 2023 neoclust <neoclust> 1:5.105.0-1.mga9
+ Revision: 1952012
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 1:5.104.0-1.mga9
+ Revision: 1947821
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 1:5.103.0-1.mga9
+ Revision: 1941322
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.102.0-1.mga9
+ Revision: 1934977
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 1:5.101.0-1.mga9
+ Revision: 1922219
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 1:5.100.0-1.mga9
+ Revision: 1911592
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 1:5.99.0-1.mga9
+ Revision: 1900196
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 1:5.98.0-1.mga9
+ Revision: 1887631
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 1:5.97.0-1.mga9
+ Revision: 1880579
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 1:5.96.0-1.mga9
+ Revision: 1871678
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 1:5.93.0-1.mga9
+ Revision: 1853198
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 1:5.92.0-2.mga9
+ Revision: 1848258
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 1:5.88.0-1.mga9
+ Revision: 1754806
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 1:5.87.0-1.mga9
+ Revision: 1749057
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 1:5.86.0-1.mga9
+ Revision: 1747017
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 1:5.84.0-1.mga9
+ Revision: 1735239
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 1:5.82.0-1.mga9
+ Revision: 1723430
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.81.0-1.mga9
+ Revision: 1714826
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 1:5.80.0-1.mga9
+ Revision: 1702004
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 1:5.79.0-1.mga9
+ Revision: 1691095
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653309
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633163
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1625577
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612838
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 1:5.72.0-1.mga8
+ Revision: 1603068
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 1:5.71.0-1.mga8
+ Revision: 1592762
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 1:5.70.0-1.mga8
+ Revision: 1581988
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1:5.69.0-1.mga8
+ Revision: 1566479
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 1:5.68.0-1.mga8
+ Revision: 1556655
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 1:5.67.0-2.mga8
+ Revision: 1546802
- Mageia 8 Mass Rebuild

* Wed Feb 05 2020 neoclust <neoclust> 1:5.67.0-1.mga8
+ Revision: 1487155
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 1:5.65.0-1.mga8
+ Revision: 1466203
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 1:5.64.0-1.mga8
+ Revision: 1457588
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 1:5.63.0-1.mga8
+ Revision: 1450969
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 1:5.62.0-1.mga8
+ Revision: 1444784
- New version 5.62.0

* Fri Jul 12 2019 daviddavid <daviddavid> 1:5.60.0-2.mga8
+ Revision: 1420611
- rebuild for arm

* Fri Jul 12 2019 neoclust <neoclust> 1:5.60.0-1.mga8
+ Revision: 1420570
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 1:5.57.0-1.mga7
+ Revision: 1386912
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 1:5.56.0-2.mga7
+ Revision: 1381977
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 1:5.56.0-1.mga7
+ Revision: 1374539
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 1:5.55.0-1.mga7
+ Revision: 1364514
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.54.0-1.mga7
+ Revision: 1356637
- New version 5.54.0

* Mon Dec 17 2018 neoclust <neoclust> 1:5.53.0-1.mga7
+ Revision: 1342227
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 1:5.51.0-1.mga7
+ Revision: 1318940
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 1:5.49.0-2.mga7
+ Revision: 1298415
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 1:5.49.0-1.mga7
+ Revision: 1247290
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 1:5.46.0-1.mga7
+ Revision: 1229228
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 1:5.42.0-1.mga7
+ Revision: 1192260
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 1:5.41.0-1.mga7
+ Revision: 1182310
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 1:5.38.0-1.mga7
+ Revision: 1161216
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 1:5.37.0-1.mga7
+ Revision: 1140378
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 1:5.36.0-1.mga7
+ Revision: 1123479
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 1:5.32.0-2.mga6
+ Revision: 1089469
- Rebuild for ARM

* Mon Mar 06 2017 neoclust <neoclust> 1:5.32.0-1.mga6
+ Revision: 1088942
- New version 5.32.0

* Mon Dec 26 2016 neoclust <neoclust> 1:5.29.0-2.mga6
+ Revision: 1078112
- Rebuild for arm

* Tue Dec 13 2016 neoclust <neoclust> 1:5.29.0-1.mga6
+ Revision: 1074513
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 1:5.28.0-1.mga6
+ Revision: 1072174
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 1:5.27.0-1.mga6
+ Revision: 1058333
- New version 5.27.0

* Thu Sep 22 2016 neoclust <neoclust> 1:5.26.0-2.mga6
+ Revision: 1055170
- Install qt5-database-plugin-sqlite by default ( mga #17852)

* Thu Sep 08 2016 neoclust <neoclust> 1:5.26.0-1.mga6
+ Revision: 1050510
- New version 5.26.0

* Fri Aug 19 2016 neoclust <neoclust> 1:5.25.0-1.mga6
+ Revision: 1047060
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 1:5.24.0-1.mga6
+ Revision: 1041310
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.23.0-1.mga6
+ Revision: 1021909
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 1:5.22.0-1.mga6
+ Revision: 1014319
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 1:5.21.0-1.mga6
+ Revision: 999616
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 1:5.20.0-1.mga6
+ Revision: 986816
- kactivities is now a Tier1
- New version 5.20.0
- Remove kactivitymanagerd

* Thu Feb 18 2016 neoclust <neoclust> 1:5.19.0-2.mga6
+ Revision: 965105
- Fix File list to not require devel packages

* Sun Feb 07 2016 neoclust <neoclust> 1:5.19.0-1.mga6
+ Revision: 942228
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 1:5.18.0-1.mga6
+ Revision: 921262
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 1:5.17.0-3.mga6
+ Revision: 913093
- Rebuild against Qt 5.6.0 Beta

* Mon Dec 14 2015 neoclust <neoclust> 1:5.17.0-2.mga6
+ Revision: 910542
- Rebuild as previous ones had been rejected by the BS

* Sun Dec 13 2015 neoclust <neoclust> 1:5.17.0-1.mga6
+ Revision: 909874
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 1:5.16.0-4.mga6
+ Revision: 900578
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-3.mga6
+ Revision: 899374
- Rebuild against fixed extra-cmake-modules

* Mon Nov 09 2015 neoclust <neoclust> 1:5.16.0-2.mga6
+ Revision: 899336
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 1:5.15.0-1.mga6
+ Revision: 888146
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 1:5.14.0-1.mga6
+ Revision: 881370
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 1:5.13.0-1.mga6
+ Revision: 862928
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 1:5.12.0-3.mga6
+ Revision: 862777
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Thu Jul 16 2015 neoclust <neoclust> 1:5.12.0-2.mga6
+ Revision: 854559
- Rename kactivities-framework

* Tue Jul 14 2015 neoclust <neoclust> 1:5.12.0-1.mga6
+ Revision: 853776
- New version 5.12.0

* Mon Jul 13 2015 neoclust <neoclust> 1:5.11.0-2.mga6
+ Revision: 853616
- Fix name
- Rename

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841619
- New version 5.11.0

* Fri Dec 19 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804172
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 745964
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680916
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660425
- New version 5.1.0
- New version 5.1.0

* Fri Jul 18 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 653516
- Fix conflicts agaisnt kde4 kactivities

* Tue Jul 15 2014 lmenut <lmenut> 5.0.0-2.mga5
+ Revision: 653137
- add missing conflicts

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652328
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611311
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599853
- New version  4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597618
- imported package kactivities-framework

